package com.ruoyi.system.mapper.visit;

import com.ruoyi.system.domain.visit.VisitFreeInterview;
import com.ruoyi.system.domain.visit.VisitFreeInterviewExample;
import com.ruoyi.system.domain.visit.vo.VisitFreeInterviewSearchParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface VisitFreeInterviewMapper {
    long countByExample(VisitFreeInterviewExample example);

    int deleteByExample(VisitFreeInterviewExample example);

    int deleteByPrimaryKey(String id);

    int insert(VisitFreeInterview record);

    int insertSelective(VisitFreeInterview record);

    List<VisitFreeInterview> selectByExampleWithBLOBs(VisitFreeInterviewExample example);

    List<VisitFreeInterview> selectByExample(VisitFreeInterviewExample example);

    VisitFreeInterview selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") VisitFreeInterview record, @Param("example") VisitFreeInterviewExample example);

    int updateByExampleWithBLOBs(@Param("record") VisitFreeInterview record, @Param("example") VisitFreeInterviewExample example);

    int updateByExample(@Param("record") VisitFreeInterview record, @Param("example") VisitFreeInterviewExample example);

    int updateByPrimaryKeySelective(VisitFreeInterview record);

    int updateByPrimaryKeyWithBLOBs(VisitFreeInterview record);

    int updateByPrimaryKey(VisitFreeInterview record);

    List<Map<String,Object>> freeVisitStatistics(@Param("visitType")String visitType);

    List<VisitFreeInterview> listByParams(VisitFreeInterviewSearchParam param);
}